Buongiorno al Forum,

Sono un utente linux da diversi anni, su desktop; ho sempre portato la mia distribuzione alla versione più recente senza mai preoccuparmi di installare la scheda grafica.

Solo agli inizi, con ubuntu 10.04, che ho appena reinstallato, sono riuscito a installare i driver proprietari e far funzionare al meglio i video in HD sia su browser che su lettore multimediale, oltre a far funzionare al meglio gli effetti grafici.

Il problema è che molti software non sono più mantenuti aggiornati, per ovvi motivi.

Quindi la mia domanda è questa, si può installare la scheda grafica in questione su Ubuntu 14.04, con driver proprietari, anche se non è più supportata da Ubuntu?

Grazie, attendo risposte.

chiesto 07 Giu '14, 16:53

MatteoGessa's gravatar image

MatteoGessa
9111


I driver proprietari fglrx supportano la tua scheda solo fino a quelli compatibili con Ubuntu 12.04.1.

Per versioni successive ATI ha deciso di non supportare più la tua scheda, sei costretto a usare gli Open.

coll. permanente

ha risposto 08 Giu '14, 18:32

dadexix86's gravatar image

dadexix86 ♦♦
16.9k816161

Buona a sapersi @dadexix86, come li installo però questi driver della comunità?

Ed inoltre, sono pienamente compatibili anche con gnome?

La ringrazio ancora

(08 Giu '14, 18:39) MatteoGessa MatteoGessa's gravatar image

In genere sono già installati di default, come spiegato nella pagina wiki relativa alle ATI.

I driver non sono compatibili o meno con un ambiente desktop.
L'ambiente desktop si appoggia su un server grafico (è ancora Xorg). Se i driver sono compatibili con Xorg (e i radeon lo sono), con il kernel (e i radeon lo sono) e con la tua scheda video (qui potrebbero esserci dei problemi, trattandosi di schede che nascono per essere usate con i driver prorpietari), funzionerà tutto :)

(08 Giu '14, 18:43) dadexix86 ♦♦ dadexix86's gravatar image

ok, ma quindi questi driver proprietari sono equivalenti in prestazioni con quelli radeon?

(08 Giu '14, 18:59) MatteoGessa MatteoGessa's gravatar image

Sulla tua scheda sono addirittura superiori, dato che quelli proprietari non la supportano.

(08 Giu '14, 19:00) dadexix86 ♦♦ dadexix86's gravatar image

quindi non occorre installare alcun driver e posso giocare anche usando steam?

inoltre, tutte queste informazioni ogni qualvolta esce una distribuzione dove posso reperirle?

(08 Giu '14, 19:14) MatteoGessa MatteoGessa's gravatar image
  1. non lo so, non uso Steam e non uso ATI (preferisco Nvidia, meglio supportata)
  2. sulla wiki :)
(08 Giu '14, 19:15) dadexix86 ♦♦ dadexix86's gravatar image

@dadexix86 ti ringrazio per le risposte ma i driver open preinstallati su gnome 14.04 non danno buone prestazioni, i video su you tube a 1080p si vedono molto a scatti

(12 Giu '14, 14:41) MatteoGessa MatteoGessa's gravatar image
-1

Non c'è nessuna distribuzione linux, o derivata di ubuntu che continui a suportare le vecchie schede grafiche supportate con le versioni precedenti?

(13 Giu '14, 10:01) MatteoGessa MatteoGessa's gravatar image

La scheda è supportata da Ubuntu e da tutte le maggiori ditribuzioni.
È ATI che non la supporta più :)

(13 Giu '14, 10:06) dadexix86 ♦♦ dadexix86's gravatar image

PS: non usare le risposte se non stai rispondendo alla tua domanda. Usa i commenti.

(13 Giu '14, 10:07) dadexix86 ♦♦ dadexix86's gravatar image

Si ma i driver open forniti con ubuntu non funzionano per niente bene, oppure non sono attivi, come lo scopro?

(13 Giu '14, 10:14) MatteoGessa MatteoGessa's gravatar image

Se vedi qualcosa è perché ci sono dei driver attivi.
Gli unici disponibili per la tua scheda sulle nuove versioni di Linux sono gli Open (dato che ATI non supporta più la tua scheda), quindi sono quelli già attivi.
Se non funzionano come vorresti puoi contribuire allo sviluppo, segnalando i bug nelle pagine Launchpad del progetto.

(13 Giu '14, 10:18) dadexix86 ♦♦ dadexix86's gravatar image

ATI non vuole che tu usi quelli chiusi sulle nuove versioni di Linux. Purtroppo per te hai comprato hardware di un'azienda che si dà molto da fare per far funzionare male il suo hardware su Linux (nvidia è migliorata molto negli ultimi anni da questo punto di vista), è stata una scelta tua e ora ne paghi le conseguenze :)

(13 Giu '14, 10:19) dadexix86 ♦♦ dadexix86's gravatar image

ma non ci sono dei veri e propri bug, non ci sono prestazioni, in un portatile che aveva vista, in cui ho installato l'ultima versione della distribuzione, ricordo che i video su you tube non davano problemi, mentre invece con ubuntu non ostante sia più leggero nell'esecuzione fa andare i video a scatti

(13 Giu '14, 10:21) MatteoGessa MatteoGessa's gravatar image

Non so se Ubuntu sia più leggero che Vista (non ho mai avuto Vista), ma Unity è un ambiente parecchio pesante a livello di richieste grafiche.

Prova a usare qualcosa che non necessiti di accelerazione hardware 3D (tipo Xubuntu). Le prestazioni dovrebbero migliorare parecchio.

(13 Giu '14, 10:23) dadexix86 ♦♦ dadexix86's gravatar image

ho provato loggando come sessione 2D ma niente stesso identico problema

(13 Giu '14, 10:26) MatteoGessa MatteoGessa's gravatar image

Prova a vedere se questo risolve il tuo problema:

http://forum.ubuntu-it.org/viewtopic.php?f=9&t=561620

Ciao

coll. permanente

ha risposto 07 Giu '14, 17:19

infounder's gravatar image

infounder
1052

Proverò, ho solo un dubbio;

la guida dice di usare gnome, non è necessario giusto?

grazie ancora

(07 Giu '14, 18:05) MatteoGessa MatteoGessa's gravatar image

Credo invece che sia necessario utilizzare GNOME. Infatti sulla guida è scritto :

""Ho seguito inizialmente i passi della guida indicata nel precedente post, ma avendo dei problemi ho proceduto da un certo punto in poi in modo differente. Ecco i passaggi: 1. Aggiunta del repository (nella sbrodolata di messaggio di conferma che presenta a video, si specifica che il driver ha problemi con Unity, da qui la mia fortuna ad aver installato la versione GNOME)""

Ciao

(07 Giu '14, 18:10) infounder infounder's gravatar image

niente, su gnome 14.04 64 bit non va, altre proposte?

(07 Giu '14, 18:28) MatteoGessa MatteoGessa's gravatar image

@infounder, @MatteoGessa: chiariamo la struttura di questo sito: ogni domanda un problema, ogni risposta una proposta di soluzione, per tutto il resto usate i commenti.

(07 Giu '14, 20:32) enzotib ♦♦ enzotib's gravatar image

Faccio ammenda, purtroppo ho cercato di dare una soluzione all'amico @MatteoGessa tramite il mio telefonino e non vedevo il pulsante commenti.

(07 Giu '14, 20:39) infounder infounder's gravatar image

Questo potrebbe risolvere il tuo problema ?

driver fglrx 13.1 "Legacy" per la serie HD 2000-3000-4000

http://support.amd.com/en-us/download

coll. permanente

ha risposto 07 Giu '14, 21:15

infounder's gravatar image

infounder
1052

L'ho già provato solo che, o non ho capito come si installa o non fa.

Esiste una guida per installarlo in ubuntu 14.04 64 bit o successivi?

Grazie ancora.

(08 Giu '14, 13:18) MatteoGessa MatteoGessa's gravatar image

@MatteoGesso: mi pare di aver già detto di non usare le risposte, vero?

(08 Giu '14, 14:35) enzotib ♦♦ enzotib's gravatar image

Si, mi spiace, @enzotib, non trovavo il tasto per il commento

(08 Giu '14, 16:15) MatteoGessa MatteoGessa's gravatar image

Ciao posso provare a suggerirti questo :

Se come dici disponi di una versione Ubuntu 14.04 64 bit, per installare i driver video ATI Catalyst è un prerequisito eliminare alcuni file.

da terminale:

sudo sh / usr / share / ati / fglrx-uninstall.sh

sudo apt-get remove - purge fglrx fglrx_ * fglrx-amdcccle * fglrx-dev *

È necessario installare alcune dipendenze al sistema (vale solo per i 64 bit):

sudo apt-get install ia32-libs-multiarch i386 lib32gcc1 libc6-i386

Installazione driver Scaricare il driver appropriato per la macchina dal sito AMD / ATI e quindi digitare dal terminale: (ricordati che il file deve essere szippato e che la cartella non deve contenere altri file)

. sudo sh * run - buildpkg Ubuntu / precisa

Si potrebbero aprire delle finestre devi a quel punto installare le dipendenze. Dopodiché devi creare questi 4 pacchetti deb

fglrx_8.961-0ubuntu1_amd64.deb fglrx-amdcccle_8.961-0ubuntu1_amd64.deb fglrx-dev_8.961-0ubuntu1_amd64.deb

Installare il deb creato

sudo dpkg-i *. deb

Prosegui con l'installazione con:

sudo aticonfig - initial

Ora vai avanti a riavviare il computer.

Se tutto va bene, il driver fglrx che corrisponde a AMD / ATI Catalyst sarà installato e funzionante sul tuo sistema.

Per sapere se tutto è andato secondo procedura:

fglrxinfo

.............. Ti ricordo che qualsiasi cosa succeda al sistema è tua responsabilità non imputabile in qualsiasi modo al sottoscritto. Ti consiglio di armarti di pazienza e di testare il tutto ed eventualmente tenerti pronto ad una reinstallazione del sistema (non si sa mai). Purtroppo non ho il tuo stesso pc per poterti dare una guida sicura. Fammi sapere se posso esserti ancora utile.

Ciao

coll. permanente

ha risposto 08 Giu '14, 16:26

infounder's gravatar image

infounder
1052

Fatto, alcune dipendenze non si possono installare, e in più si è bloccato, altri suggerimenti?

(08 Giu '14, 17:19) MatteoGessa MatteoGessa's gravatar image

hai letto quello che ho scritto al termine della procedura ? si ??

(08 Giu '14, 17:24) infounder infounder's gravatar image

in più, cosa si è bloccato ?

(08 Giu '14, 17:28) infounder infounder's gravatar image

non si avvia più il pc

(08 Giu '14, 17:34) MatteoGessa MatteoGessa's gravatar image

ora scrivo il problema che da a schermo

(08 Giu '14, 17:37) MatteoGessa MatteoGessa's gravatar image

corrupted low memory at ffff88000000be38 (be38 phys) = be36000400000000

memory corruption detected in low memory

(08 Giu '14, 17:39) MatteoGessa MatteoGessa's gravatar image

conviene reinstallare?

(08 Giu '14, 17:40) MatteoGessa MatteoGessa's gravatar image

con il dvd/cd live di ubuntu ?

(08 Giu '14, 17:40) infounder infounder's gravatar image

si, installazione pulita con aggiornamenti durante l'installazione

(08 Giu '14, 17:50) MatteoGessa MatteoGessa's gravatar image

non ho capito scusa, il messaggio che hai scritto, compare a video dopo aver provato a reinstallare ubuntu ?

(08 Giu '14, 18:21) infounder infounder's gravatar image

no, dopo aver eseguito la guida che hai postato, riavviando il pc, mi dava gli errori scritti precedentemente, ed ora sto reinstallando completamente gnome-ubuntu

(08 Giu '14, 18:28) MatteoGessa MatteoGessa's gravatar image

stranissimo, cmq, penso di aver terminato i consigli ... mi spiace di non esserti stato d'aiuto .. spero in altri users

Ciao

(08 Giu '14, 18:42) infounder infounder's gravatar image
La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×439
×30

domanda posta: 07 Giu '14, 16:53

domanda visualizzata: 2,425 volte

ultimo aggiornamento: 13 Giu '14, 10:26

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.